library(ggplot2)
library(ocedata)
data("coastlineWorldMedium")

coord <- data.frame(lon = coastlineWorldMedium@data$longitude,
                    lat = coastlineWorldMedium@data$latitude)

coord$group <- drought2015:::.group(as.vector(complete.cases(coord)))
coord <- na.omit(coord)

xy <- transform_crs(coord[, 1:2], to = CRS("+init=epsg:3034"),
                    from = CRS("+init=epsg:4326"), suffix = "")
names(xy) <- c("x2", "y2")

country <- split(cbind(coord, xy), tmp$group, drop = T)


in.bb <- function(country,
                  xmin = .bb["xmin"], xmax = .bb["xmax"],
                  ymin = .bb["ymin"], ymax = .bb["ymax"]) {

  mask <- sapply(country, function(x)
    any(x$x2 > xmin & x$x2 < xmax & x$y2 > ymin & x$y2 < ymax))

  country[mask]
}

country <- do.call(rbind, in.bb(country))
country$x2 <- as.integer(country$x2)
country$y2 <- as.integer(country$y2)
use_data(country, overwrite = TRUE)
