\name{compare_lf}
\alias{compare_lf}

\title{
Compare the 2015 Drought
}
\description{
Compare the 2015 drought event with low flows observed 2003 and during a reference period. It is planned to change the interface in order to allow a more flexible defintion of periods. Eg. currently 2003 is hardcoded.
}
\usage{
compare_lf(x, periods = c(y2015   = "2015-01-01::2015-12-31",
                          y2003   = "2003-01-01::2003-12-31"),
          refPeriod = "1976-01-01::2010-12-31",
          dist.min = "wei", dist.max = "gev", prob = 0.2)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{an xts object, possibly created with \code{\link{import}}}.
  \item{periods}{a named character vector of length >= 1 defining periods.}
  \item{refPeriod}{character string of length one specifying the reference period. Used to subset the xts object.}
  \item{dist.min, dist.max}{the distribution used for fitting extrme values. }
  \item{prob}{The probability defining the threshold. \code{prob = 0.2} corresponds to Q80.}
}
\value{an object of class hpt, containing the absolute values as well as the return periods for annual minima, deficit durations, deficit volumes and intensities.}

\seealso{
Appropriate plot, summary and print methods exist.
}
\examples{
data(exampleAT)
x <- compare_lf(exampleAT)

print(x)
summary(x)
plot(x)
}
