\name{plot_drought}
\alias{plot_drought}

\title{
Plot Droughts
}
\description{
Proudces a point map of gauging stations  with colors mapped to the intensity of droughts.
}
\usage{
plot_drought(x, limits = c("data", "europe"), f = 0.2, legend.position = "right")
}

\arguments{
  \item{x}{a data.frame, possibly the result of \code{melt_country()}.}
  \item{limits}{Should the plot be limited to the data \code{"data"} or  to \code{"europe"?}}
  \item{f}{If \code{limits = "europe"} factor \code{f} is passed on \code{\link{extendrange}} to extend the limits.}
  \item{legend.position}{character vector of length one. passed on to ggplots \code{\link[ggplot2]{theme}}}.
}
\details{
Not very fast, because data has to be projected. Sorry.
}
\value{A plot.}

\examples{
# load preliminary, incomplete results for Austria
# just for demonstration
data(resultAT)

# melt the whole list into single a data.frame
df <- melt_country(resultAT)

# for plotting, only keep return periods
# drop records of reference period (they are boring)
tmp <- droplevels(subset(df, variable == "return.period" &
  char != "day" & period != "reference"))

# set return periods larger than 100 years to 100 years
tmp$value[tmp$value > 100] <- 100
\donttest{
plot_drought(tmp)
}
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
