\name{read.dat.no}
\alias{read.dat.no}

\title{
Reading Weis dat files ;-)
}
\description{
Reads discharges from .dat files and appends some metadata as \code{\link[xts]{xtsAttributes}}.
}
\usage{
read.dat.no(file, ...)
}

\arguments{
  \item{file}{A character vector of length one containing the name of the file to be read.}
  \item{\dots}{other arguments, passed on to \code{\link{read.csv}} which is used for import.}
}
\value{Returns an xts object containing the discharge.}

\seealso{\code{\link{import_no}}}
\examples{
# Norway sample file
filename <- file.path(system.file(package="drought2015"),
                      "extdata/no/discharge/2.279.dat")

infile <- read.dat.no(filename)
head(infile)

# access the attributes
xtsAttributes(infile)
}
