\name{read.nrfa}
\alias{read.nrfa}

\title{Reading UKs NRFA Files}

\description{
Reads discharges from NRFA files and appends metadata stored in the file header as \code{\link{xtsAttributes}}.
}
\usage{
read.nrfa(file, ...)
}
\arguments{
  \item{file}{A character vector of length one containing the name of the file to be read.}
  \item{\dots}{other arguments, passed on to \code{\link{read.csv}} which is used for import.}
}
\value{Returns an xts object containing the discharge.}

\seealso{\code{\link{import_gb}}}
\examples{
# uk sample file
filename <- file.path(system.file(package="drought2015"),
                      "extdata/uk/discharge/nrfa_39065_gdf.csv")

nrfa <- read.nrfa(filename)
head(nrfa)

# access the attributes
xtsAttributes(nrfa)
}
