\name{read.txt.es}
\alias{read.txt.es}

\title{
Reading spanish txt Files
}
\description{
Reads discharges from .txt files and appends some metadata as \code{\link[xts]{xtsAttributes}}.
}
\usage{
read.txt.es(file, ...)
}

\arguments{
  \item{file}{A character vector of length one containing the name of the file to be read.}
  \item{\dots}{other arguments, passed on to \code{\link{read.csv}} which is used for import.}
}
\value{Returns an xts object containing the discharge.}

\seealso{\code{\link{import_es}}}
\examples{
# Spains sample file
filename <- file.path(system.file(package="drought2015"),
                      "extdata/es/discharge/ES_8014.txt")

infile <- read.txt.es(filename)
head(infile)

# access the attributes
xtsAttributes(infile)
}
