\name{regularize}
\alias{regularize}

\title{
Coerce to a regulare time series.
}
\description{
A possibly irregular time series is coerced to a regular one by inserting NA values.
}
\usage{
regularize(x, interval = "day")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{an xts object}
  \item{interval}{The target interval. A character string, containing one of\code{"sec"}, \code{"min"}, \code{"hour"}, \code{"day"}, \code{"DSTday"}, \code{"week"}, \code{"month"}, \code{"quarter"} or\code{"year"}. This can optionally be preceded by a (positive or negative) integer and a space, or followed by "s".}
}
\value{an xts object}
\examples{
index <- seq(as.Date(c("2012-01-01")),  length.out = 10, by = "days")
ts <- xts(rnorm(6), order.by = index[-c(2, 5, 6, 9)])
ts

regularize(ts)
}
