\name{transform_crs}
\alias{transform_crs}

\title{
Transformation of Coordinate Reference Systems
}
\description{
Convert coordinates from a source CRS to a target CRS.
}
\usage{
transform_crs(x, y = NULL, suffix = "2", from, to = CRS("+init=epsg:3034"))
}

\arguments{
  \item{x, y}{the x and y coordinates of a set of points. Alternatively, a single argument x can be provided}
  \item{suffix}{character suffix appended to colnames}
  \item{from, to}{object of class \code{\link{CRS}}, or of class character in which case it is converted to CRS.}
}

\value{A data frame containing the transformed coordinate pairs.}

\seealso{
\code{\link{spTransform}}
}
\examples{
coord <- data.frame(x = c(548061L, 562303L, 593399L),
                    y = c(442327L, 468563L, 487244L))

transform_crs(coord,
              from = CRS("+init=epsg:31287"),
              to = CRS("+init=epsg:3034"))
}
